Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`python`.`_textattributes`.`DefaultFormattingState``

class documentation

`class DefaultFormattingState(FancyEqMixin): (source)`

Known subclasses: `twisted.python._textattributes._FormattingStateMixin`

View In Hierarchy

A character attribute that does nothing, thus applying no attributes to text.

Method | `copy` | Make a copy of this formatting state.
Method | `toVT102` | Emit a VT102 control sequence that will set up all the attributes this formatting state has set.
Class Variable | `compareAttributes` | Undocumented
Method | `_withAttribute` | Add a character attribute to a copy of this formatting state.
Class Variable | `_dummy` | Undocumented

Inherited from `FancyEqMixin`:

Method | `__eq__` | Undocumented
Method | `__ne__` | Undocumented

def copy(self): (source)
overridden in `twisted.python._textattributes._FormattingStateMixin`

Make a copy of this formatting state.

Returns
A formatting state instance.

def toVT102(self): (source)
overridden in `twisted.conch.insults.helper._FormattingState`

Emit a VT102 control sequence that will set up all the attributes this formatting state has set.

Returns
A string containing VT102 control sequences that mimic this formatting state.

compareAttributes: `ClassVar[Sequence[str]]` = (source)
overrides `twisted.python.util.FancyEqMixin.compareAttributes`
overridden in `twisted.conch.insults.helper._FormattingState`, `twisted.words.protocols.irc._FormattingState`

Undocumented

def _withAttribute(self, name, value): (source)
overridden in `twisted.python._textattributes._FormattingStateMixin`

Add a character attribute to a copy of this formatting state.

Parameters
name | Attribute name to be added to formatting state.
value | Attribute value.
Returns
A formatting state instance with the new attribute.

_dummy: `int` = (source)

Undocumented